cdac.medinfo.sdk.hl7282.baselibs

## Class CSU

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.CSU

- All Implemented Interfaces:
    IDataType

      public class CSU
      extends CompositeDataType

  CSU - Channel Sensitivity

  This data type defines the channel sensitivity (gain) and the units in which it is measured in a waveform result.

  Represents an HL7 CSU data type. This data type has the following attributes:

  1. Channel Sensitivity (NM)Required
  2. Unit of Measure Identifier (ST)Conditional
  3. Unit of Measure Description (ST)Conditional
  4. Unit of Measure Coding System (ID)Conditional
  5. Alternate Unit of Measure Identifier (ST)Optional
  6. Alternate Unit of Measure Description (ST)Optional
  7. Alternate Unit of Measure Coding System (ID)Conditional

  8. Unit of Measure Coding System Version ID (ST)Conditional

  9. Alternate Unit of Measure Coding System Version ID (ST)Optional

  10. Original Text (ST)Optional

  11. Second Alternate Unit of Measure Identifier (ST)Optional

  12. Second Alternate Unit of Measure Text (ST)Optional

  13. Name of Second Alternate Unit of Measure Coding System (ID)Optional

  14. Second Alternate Unit of Measure Coding System Version ID (ST)Conditional

  15. Unit of Measure Coding System OID (ST)Conditional

  16. Unit of Measure Value Set OID (ST)Optional

  17. Unit of Measure Value Set Version ID (DTM)Conditional

  18. Alternate Unit of Measure Coding System (ST)Conditional

  19. Alternate Unit of Measure Value Set OID (ST)Optional

  20. Alternate Unit of Measure Value Set Version ID (DTM)Conditional

  21. Alternate Unit of Measure Coding System OID (ST)COnditional

  22. Alternate Unit of Measure Value Set OID (ST)Optional

  23. Alternate Unit of Measure Value Set Version ID (ST)Conditiobnal

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CSU()` Default Constructor for CSU
    `CSU(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for CSU class which takes two arguments and sets the value in the respective member variable.
    `CSU(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for CSU class which takes five arguments and sets the value in the respective member variable.
    `CSU(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for CSU class which takes six arguments and sets the value in the respective member variable.
    `CSU(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for CSU class which takes four arguments and sets the value in the respective member variable.
    `CSU(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for CSU class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `ID` | `getAlternateUnitOfMeasureCodingSystem()` Returns Alternate Unit of Measure Coding System
    `ST` | `getAlternateUnitofMeasureCodingSystemOID()` Returns Alternate Unit of Measure Coding System OID
    `ST` | `getAlternateUnitofMeasureCodingSystemVersionID()` Returns Alternate Unit of Measure Coding System Version ID
    `ST` | `getAlternateUnitOfMeasureDescription()` Returns Alternate Unit of Measure Description
    `ST` | `getAlternateUnitOfMeasureIdentifier()` Returns Alternate Unit of Measure Identifier
    `ST` | `getAlternateUnitofMeasureValueSetOID()` Returns Alternate Unit of Measure Value Set OID
    `DTM` | `getAlternateUnitofMeasureValueSetVersionID()` Returns Alternate Unit of Measure Value Set Version ID
    `NM` | `getChannelSensitivity()` Returns Channel Sensitivity
    `ID` | `getNameofSecondAlternateUnitofMeasureCodingSystem()` Returns Name of Second Alternate Unit of Measure Coding System
    `ST` | `getOriginalText()` Returns Original Text.
    `ST` | `getSecondAlternateUnitofMeasureCodingSystemOID()` Returns Second Alternate Unit of Measure Coding System OID
    `ST` | `getSecondAlternateUnitofMeasureCodingSystemVersionID()` Returns Second Alternate Unit of Measure Coding System Version ID
    `ST` | `getSecondAlternateUnitofMeasureIdentifier()` Returns Second Alternate Unit of Measure Identifier
    `ST` | `getSecondAlternateUnitofMeasureText()` Returns Second Alternate Unit of Measure Text
    `ST` | `getSecondAlternateUnitofMeasureValueSetOID()` Returns Second Alternate Unit of Measure Value Set OID
    `ST` | `getSecondAlternateUnitofMeasureValueSetVersionID()` Returns Second Alternate Unit of Measure Value Set Version ID
    `ID` | `getUnitOfMeasureCodingSystem()` Returns Unit of Measure Coding System
    `ST` | `getUnitofMeasureCodingSystemOID()` Returns Unit of Measure Coding System OID
    `ST` | `getUnitofMeasureCodingSystemVersionID()` Returns Unit of Measure Coding System Version ID
    `ST` | `getUnitOfMeasureDescription()` Returns Unit of Measure Description
    `ST` | `getUnitOfMeasureIdentifier()` Returns Unit of Measure Identifier
    `ST` | `getUnitofMeasureValueSetOID()` Returns Unit of Measure Value Set OID
    `DTM` | `getUnitofMeasureValueSetVersionID()` Returns Unit of Measure Value Set Version ID
    `void` | `setAlternateUnitOfMeasureCodingSystem(ID objID)` Sets the Alternate Unit Of Measure Coding System.
    `void` | `setAlternateUnitOfMeasureCodingSystem(java.lang.String strAlternateUnitOfMeasureCodingSystem)` Sets the Alternate Unit Of Measure Coding System.
    `void` | `setAlternateUnitofMeasureCodingSystemOID(ST objST)` Sets the Alternate Unit of Measure Coding System OID.
    `void` | `setAlternateUnitofMeasureCodingSystemOID(java.lang.String strAlternateUnitofMeasureCodingSystemOID)` Sets the Alternate Unit of Measure Coding System OID.
    `void` | `setAlternateUnitofMeasureCodingSystemVersionID(ST objST)` Sets the Alternate Unit of Measure Coding System Version ID.
    `void` | `setAlternateUnitofMeasureCodingSystemVersionID(java.lang.String strAlternateUnitofMeasureCodingSystemVersionID)` Sets the Alternate Unit of Measure Coding System Version ID.
    `void` | `setAlternateUnitOfMeasureDescription(ST objST)` Sets the Alternate Unit Of Measure Description.
    `void` | `setAlternateUnitOfMeasureDescription(java.lang.String strAlternateUnitOfMeasureDescription)` Sets the Alternate Unit Of Measure Description.
    `void` | `setAlternateUnitOfMeasureIdentifier(ST objST)` Sets the Alternate Unit Of Measure Identifier.
    `void` | `setAlternateUnitOfMeasureIdentifier(java.lang.String strAlternateUnitOfMeasureIdentifier)` Sets the Alternate Unit Of Measure Identifier.
    `void` | `setAlternateUnitofMeasureValueSetOID(ST objST)` Sets the Alternate Unit of Measure Value Set OID.
    `void` | `setAlternateUnitofMeasureValueSetOID(java.lang.String strAlternateUnitofMeasureValueSetOID)` Sets the Alternate Unit of Measure Value Set OID.
    `void` | `setAlternateUnitofMeasureValueSetVersionID(DTM objDTM)` Sets the Alternate Unit of Measure Value Set Version ID.
    `void` | `setAlternateUnitofMeasureValueSetVersionID(java.lang.String strAlternateUnitofMeasureValueSetVersionID)` Sets the Alternate Unit of Measure Value Set Version ID.
    `void` | `setChannelSensitivity(NM objNM)` Sets the Channel Sensitivity.
    `void` | `setChannelSensitivity(java.lang.String strChannelSensitivity)` Sets the Channel Sensitivity.
    `void` | `setNameofSecondAlternateUnitofMeasureCodingSystem(ID objID)` Sets the Name of Second Alternate Unit of Measure Coding System.
    `void` | `setNameofSecondAlternateUnitofMeasureCodingSystem(java.lang.String strNameofSecondAlternateUnitofMeasureCodingSystem)` Sets the Name of Second Alternate Unit of Measure Coding System.
    `void` | `setOriginalText(ST objST)` Sets the Original Text.
    `void` | `setOriginalText(java.lang.String strOriginalText)` Sets the Original Text.
    `void` | `setSecondAlternateUnitofMeasureCodingSystemOID(ST objST)` Sets the Alternate Unit of Measure Coding System OID.
    `void` | `setSecondAlternateUnitofMeasureCodingSystemOID(java.lang.String strSecondAlternateUnitofMeasureCodingSystemOID)` Sets the Second Alternate Unit of Measure Coding System OID.
    `void` | `setSecondAlternateUnitofMeasureCodingSystemVersionID(ST objST)` Sets the Second Alternate Unit of Measure Coding System Version ID.
    `void` | `setSecondAlternateUnitofMeasureCodingSystemVersionID(java.lang.String strSecondAlternateUnitofMeasureCodingSystemVersionID)` Sets the Second Alternate Unit of Measure Coding System Version ID.
    `void` | `setSecondAlternateUnitofMeasureIdentifier(ST objST)` Sets the Second Alternate Unit of Measure Identifier.
    `void` | `setSecondAlternateUnitofMeasureIdentifier(java.lang.String strSecondAlternateUnitofMeasureIdentifier)` Sets the Second Alternate Unit of Measure Identifier.
    `void` | `setSecondAlternateUnitofMeasureText(ST objST)` Sets the Second Alternate Unit of Measure Text.
    `void` | `setSecondAlternateUnitofMeasureText(java.lang.String strSecondAlternateUnitofMeasureText)` Sets the Second Alternate Unit of Measure Text.
    `void` | `setSecondAlternateUnitofMeasureValueSetOID(ST objST)` Sets the Alternate Unit of Measure Value Set OID.
    `void` | `setSecondAlternateUnitofMeasureValueSetOID(java.lang.String strSecondAlternateUnitofMeasureValueSetOID)` Sets the Second Alternate Unit of Measure Value Set OID.
    `void` | `setSecondAlternateUnitofMeasureValueSetVersionID(ST objST)` Sets the Alternate Unit of Measure Value Set Version ID.
    `void` | `setSecondAlternateUnitofMeasureValueSetVersionID(java.lang.String strSecondAlternateUnitofMeasureValueSetVersionID)` Sets the Second Alternate Unit of Measure Value Set Version ID.
    `void` | `setUnitOfMeasureCodingSystem(ID objID)` Sets the Unit Of Measure Coding System.
    `void` | `setUnitOfMeasureCodingSystem(java.lang.String strUnitOfMeasureCodingSystem)` Sets the Unit Of Measure Coding System.
    `void` | `setUnitofMeasureCodingSystemOID(ST objST)` Sets the Unit of Measure Coding System OID.
    `void` | `setUnitofMeasureCodingSystemOID(java.lang.String strUnitofMeasureCodingSystemOID)` Sets the Unit of Measure Coding System OID.
    `void` | `setUnitofMeasureCodinSystemVersionID(ST objST)` Sets the Unit of Measure Coding System Version ID.
    `void` | `setUnitofMeasureCodinSystemVersionID(java.lang.String strUnitofMeasureCodinSystemVersionID)` Sets the Unit of Measure Coding System Version ID.
    `void` | `setUnitOfMeasureDescription(ST objST)` Sets the Unit Of Measure Description.
    `void` | `setUnitOfMeasureDescription(java.lang.String strUnitOfMeasureDescription)` Sets the Unit Of Measure Description.
    `void` | `setUnitOfMeasureIdentifier(ST objST)` sets the Unit Of Measure Identifier.
    `void` | `setUnitOfMeasureIdentifier(java.lang.String strUnitOfMeasureIdentifier)` sets the Unit Of Measure Identifier.
    `void` | `setUnitofMeasureValueSetOID(ST objST)` Sets the Unit of Measure Value Set OID.
    `void` | `setUnitofMeasureValueSetOID(java.lang.String strUnitofMeasureValueSetOID)` Sets the Unit of Measure Value Set OID.
    `void` | `setUnitofMeasureValueSetVersionID(DTM objDTM)` Sets the Unit of Measure Value Set Version ID.
    `void` | `setUnitofMeasureValueSetVersionID(java.lang.String strUnitofMeasureValueSetVersionID)` Sets the Unit of Measure Value Set Version ID.
    `boolean` | `validate()` The Method validates the Input value,and if validated properly then returns true.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CSU

          public CSU()

      Default Constructor for CSU

    - #### CSU

          public CSU(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for CSU class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### CSU

          public CSU(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for CSU class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### CSU

          public CSU(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for CSU class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### CSU

          public CSU(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for CSU class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### CSU

          public CSU(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for CSU class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setChannelSensitivity

          public void setChannelSensitivity(java.lang.String strChannelSensitivity)

      Sets the Channel Sensitivity.
      Parameters:
        `strChannelSensitivity` - Specifies the nominal value that corresponds to one unit in the waveform data

    - #### setChannelSensitivity

          public void setChannelSensitivity(NM objNM)

      Sets the Channel Sensitivity.
      Parameters:
        `objNM` - Specifies the nominal value that corresponds to one unit in the waveform data

    - #### setUnitOfMeasureIdentifier

          public void setUnitOfMeasureIdentifier(java.lang.String strUnitOfMeasureIdentifier)

      sets the Unit Of Measure Identifier.
      Parameters:
        `strUnitOfMeasureIdentifier` - Specifies unit designation for the channel sensitivity.

    - #### setUnitOfMeasureIdentifier

          public void setUnitOfMeasureIdentifier(ST objST)

      sets the Unit Of Measure Identifier.
      Parameters:
        `objST` - Specifies unit designation for the channel sensitivity.

    - #### setUnitOfMeasureDescription

          public void setUnitOfMeasureDescription(java.lang.String strUnitOfMeasureDescription)

      Sets the Unit Of Measure Description.
      Parameters:
        `strUnitOfMeasureDescription` - Specifies full text name of the unit of measure identifier.

    - #### setUnitOfMeasureDescription

          public void setUnitOfMeasureDescription(ST objST)

      Sets the Unit Of Measure Description.
      Parameters:
        `objST` - Specifies full text name of the unit of measure identifier.

    - #### setUnitOfMeasureCodingSystem

          public void setUnitOfMeasureCodingSystem(java.lang.String strUnitOfMeasureCodingSystem)

      Sets the Unit Of Measure Coding System.
      Parameters:
        `strUnitOfMeasureCodingSystem` - Specifies the designated system of units.

    - #### setUnitOfMeasureCodingSystem

          public void setUnitOfMeasureCodingSystem(ID objID)

      Sets the Unit Of Measure Coding System.
      Parameters:
        `objID` - Specifies the designated system of units.

    - #### setAlternateUnitOfMeasureIdentifier

          public void setAlternateUnitOfMeasureIdentifier(java.lang.String strAlternateUnitOfMeasureIdentifier)

      Sets the Alternate Unit Of Measure Identifier.
      Parameters:
        `strAlternateUnitOfMeasureIdentifier` - Specifies an alternate units designation for the channel sensitivity.

    - #### setAlternateUnitOfMeasureIdentifier

          public void setAlternateUnitOfMeasureIdentifier(ST objST)

      Sets the Alternate Unit Of Measure Identifier.
      Parameters:
        `objST` - Specifies an alternate units designation for the channel sensitivity.

    - #### setAlternateUnitOfMeasureDescription

          public void setAlternateUnitOfMeasureDescription(java.lang.String strAlternateUnitOfMeasureDescription)

      Sets the Alternate Unit Of Measure Description.
      Parameters:
        `strAlternateUnitOfMeasureDescription` - Specifies full text name of the alternate unit of measure identifier

    - #### setAlternateUnitOfMeasureDescription

          public void setAlternateUnitOfMeasureDescription(ST objST)

      Sets the Alternate Unit Of Measure Description.
      Parameters:
        `objST` - Specifies full text name of the alternate unit of measure identifier

    - #### setAlternateUnitOfMeasureCodingSystem

          public void setAlternateUnitOfMeasureCodingSystem(java.lang.String strAlternateUnitOfMeasureCodingSystem)

      Sets the Alternate Unit Of Measure Coding System.
      Parameters:
        `strAlternateUnitOfMeasureCodingSystem` - Specifies the coding system for the alternate unit of measure.

    - #### setAlternateUnitOfMeasureCodingSystem

          public void setAlternateUnitOfMeasureCodingSystem(ID objID)

      Sets the Alternate Unit Of Measure Coding System.
      Parameters:
        `objString` - Specifies the coding system for the alternate unit of measure.

    - #### setUnitofMeasureCodinSystemVersionID

          public void setUnitofMeasureCodinSystemVersionID(java.lang.String strUnitofMeasureCodinSystemVersionID)

      Sets the Unit of Measure Coding System Version ID.
      Parameters:
        `strUnitofMeasureCodinSystemVersionID` - Specifies the version of the coding system identified by components 2-4.

    - #### setUnitofMeasureCodinSystemVersionID

          public void setUnitofMeasureCodinSystemVersionID(ST objST)

      Sets the Unit of Measure Coding System Version ID.
      Parameters:
        `objST` - Specifies the version of the coding system identified by components 2-4.

    - #### setAlternateUnitofMeasureCodingSystemVersionID

          public void setAlternateUnitofMeasureCodingSystemVersionID(java.lang.String strAlternateUnitofMeasureCodingSystemVersionID)

      Sets the Alternate Unit of Measure Coding System Version ID.
      Parameters:
        `strAlternateUnitofMeasureCodingSystemVersionID` - Specifies version for the coding system identified by components 5-7.

    - #### setAlternateUnitofMeasureCodingSystemVersionID

          public void setAlternateUnitofMeasureCodingSystemVersionID(ST objST)

      Sets the Alternate Unit of Measure Coding System Version ID.
      Parameters:
        `objST` - Specifies version for the coding system identified by components 5-7.

    - #### setOriginalText

          public void setOriginalText(java.lang.String strOriginalText)

      Sets the Original Text.
      Parameters:
        `strOriginalText` - Specifies the text as seen and/or selected by the user who entered the data.

    - #### setOriginalText

          public void setOriginalText(ST objST)

      Sets the Original Text.
      Parameters:
        `objST` - Specifies the text as seen and/or selected by the user who entered the data.

    - #### setSecondAlternateUnitofMeasureIdentifier

          public void setSecondAlternateUnitofMeasureIdentifier(java.lang.String strSecondAlternateUnitofMeasureIdentifier)

      Sets the Second Alternate Unit of Measure Identifier.
      Parameters:
        `strSecondAlternateUnitofMeasureIdentifier` - Specifies A sequence of characters that uniquely identifies a second alternate units designation for the channel sensitivity.

    - #### setSecondAlternateUnitofMeasureIdentifier

          public void setSecondAlternateUnitofMeasureIdentifier(ST objST)

      Sets the Second Alternate Unit of Measure Identifier.
      Parameters:
        `objST` - Specifies A sequence of characters that uniquely identifies a second alternate units designation for the channel sensitivity.

    - #### setSecondAlternateUnitofMeasureText

          public void setSecondAlternateUnitofMeasureText(java.lang.String strSecondAlternateUnitofMeasureText)

      Sets the Second Alternate Unit of Measure Text.
      Parameters:
        `strSecondAlternateUnitofMeasureText` - Specifies the descriptive or textual name of the second alternate identifier.

    - #### setSecondAlternateUnitofMeasureText

          public void setSecondAlternateUnitofMeasureText(ST objST)

      Sets the Second Alternate Unit of Measure Text.
      Parameters:
        `objST` - Specifies the descriptive or textual name of the second alternate identifier.

    - #### setNameofSecondAlternateUnitofMeasureCodingSystem

          public void setNameofSecondAlternateUnitofMeasureCodingSystem(java.lang.String strNameofSecondAlternateUnitofMeasureCodingSystem)

      Sets the Name of Second Alternate Unit of Measure Coding System.
      Parameters:
        `strNameofSecondAlternateUnitofMeasureCodingSystem` - Specifies the coding system for the second alternate unit of measure.

    - #### setNameofSecondAlternateUnitofMeasureCodingSystem

          public void setNameofSecondAlternateUnitofMeasureCodingSystem(ID objID)

      Sets the Name of Second Alternate Unit of Measure Coding System.
      Parameters:
        `objID` - Specifies the coding system for the second alternate unit of measure.

    - #### setSecondAlternateUnitofMeasureCodingSystemVersionID

          public void setSecondAlternateUnitofMeasureCodingSystemVersionID(java.lang.String strSecondAlternateUnitofMeasureCodingSystemVersionID)

      Sets the Second Alternate Unit of Measure Coding System Version ID.
      Parameters:
        `strSecondAlternateUnitofMeasureCodingSystemVersionID` - carries the version for the coding system identified by components 11-13.

    - #### setSecondAlternateUnitofMeasureCodingSystemVersionID

          public void setSecondAlternateUnitofMeasureCodingSystemVersionID(ST objST)

      Sets the Second Alternate Unit of Measure Coding System Version ID.
      Parameters:
        `objST` - carries the version for the coding system identified by components 11-13.

    - #### setUnitofMeasureCodingSystemOID

          public void setUnitofMeasureCodingSystemOID(java.lang.String strUnitofMeasureCodingSystemOID)

      Sets the Unit of Measure Coding System OID.
      Parameters:
        `strUnitofMeasureCodingSystemOID` - contains the ISO Object Identifier (OID) for the coding system.

    - #### setUnitofMeasureCodingSystemOID

          public void setUnitofMeasureCodingSystemOID(ST objST)

      Sets the Unit of Measure Coding System OID.
      Parameters:
        `objST` - contains the ISO Object Identifier (OID) for the coding system.

    - #### setUnitofMeasureValueSetOID

          public void setUnitofMeasureValueSetOID(java.lang.String strUnitofMeasureValueSetOID)

      Sets the Unit of Measure Value Set OID.
      Parameters:
        `strUnitofMeasureValueSetOID` - contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CSU.2 is obtained.

    - #### setUnitofMeasureValueSetOID

          public void setUnitofMeasureValueSetOID(ST objST)

      Sets the Unit of Measure Value Set OID.
      Parameters:
        `objST` - contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CSU.2 is obtained.

    - #### setUnitofMeasureValueSetVersionID

          public void setUnitofMeasureValueSetVersionID(java.lang.String strUnitofMeasureValueSetVersionID)

      Sets the Unit of Measure Value Set Version ID.
      Parameters:
        `strUnitofMeasureValueSetVersionID` - carries the version for the value set identified by CSU.16 and it is a date.

    - #### setUnitofMeasureValueSetVersionID

          public void setUnitofMeasureValueSetVersionID(DTM objDTM)

      Sets the Unit of Measure Value Set Version ID.
      Parameters:
        `objDTM` - carries the version for the value set identified by CSU.16 and it is a date.

    - #### setAlternateUnitofMeasureCodingSystemOID

          public void setAlternateUnitofMeasureCodingSystemOID(java.lang.String strAlternateUnitofMeasureCodingSystemOID)

      Sets the Alternate Unit of Measure Coding System OID.
      Parameters:
        `strAlternateUnitofMeasureCodingSystemOID` - contains the ISO Object Identifier (OID) for the coding system or value set named in CSU.7

    - #### setAlternateUnitofMeasureCodingSystemOID

          public void setAlternateUnitofMeasureCodingSystemOID(ST objST)

      Sets the Alternate Unit of Measure Coding System OID.
      Parameters:
        `objST` - contains the ISO Object Identifier (OID) for the coding system or value set named in CSU.7

    - #### setAlternateUnitofMeasureValueSetOID

          public void setAlternateUnitofMeasureValueSetOID(java.lang.String strAlternateUnitofMeasureValueSetOID)

      Sets the Alternate Unit of Measure Value Set OID.
      Parameters:
        `strAlternateUnitofMeasureValueSetOID` - contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CSU.5 is obtained.

    - #### setAlternateUnitofMeasureValueSetOID

          public void setAlternateUnitofMeasureValueSetOID(ST objST)

      Sets the Alternate Unit of Measure Value Set OID.
      Parameters:
        `objST` - contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CSU.5 is obtained.

    - #### setAlternateUnitofMeasureValueSetVersionID

          public void setAlternateUnitofMeasureValueSetVersionID(java.lang.String strAlternateUnitofMeasureValueSetVersionID)

      Sets the Alternate Unit of Measure Value Set Version ID.
      Parameters:
        `strAlternateUnitofMeasureValueSetVersionID` - carries the version for the value set identified by CSU.19 and it is a date.

    - #### setAlternateUnitofMeasureValueSetVersionID

          public void setAlternateUnitofMeasureValueSetVersionID(DTM objDTM)

      Sets the Alternate Unit of Measure Value Set Version ID.
      Parameters:
        `objDTM` - carries the version for the value set identified by CSU.19 and it is a date.

    - #### setSecondAlternateUnitofMeasureCodingSystemOID

          public void setSecondAlternateUnitofMeasureCodingSystemOID(java.lang.String strSecondAlternateUnitofMeasureCodingSystemOID)

      Sets the Second Alternate Unit of Measure Coding System OID.
      Parameters:
        `strSecondAlternateUnitofMeasureCodingSystemOID` - contains the ISO Object Identifier (OID) for the coding system or value set named in CSU.13.

    - #### setSecondAlternateUnitofMeasureCodingSystemOID

          public void setSecondAlternateUnitofMeasureCodingSystemOID(ST objST)

      Sets the Alternate Unit of Measure Coding System OID.
      Parameters:
        `objST` - contains the ISO Object Identifier (OID) for the coding system or value set named in CSU.13.

    - #### setSecondAlternateUnitofMeasureValueSetOID

          public void setSecondAlternateUnitofMeasureValueSetOID(java.lang.String strSecondAlternateUnitofMeasureValueSetOID)

      Sets the Second Alternate Unit of Measure Value Set OID.
      Parameters:
        `strSecondAlternateUnitofMeasureValueSetOID` - contains the ISO Object Identifier (OID) to allow identification of the value set.

    - #### setSecondAlternateUnitofMeasureValueSetOID

          public void setSecondAlternateUnitofMeasureValueSetOID(ST objST)

      Sets the Alternate Unit of Measure Value Set OID.
      Parameters:
        `objST` - contains the ISO Object Identifier (OID) to allow identification of the value set.

    - #### setSecondAlternateUnitofMeasureValueSetVersionID

          public void setSecondAlternateUnitofMeasureValueSetVersionID(java.lang.String strSecondAlternateUnitofMeasureValueSetVersionID)

      Sets the Second Alternate Unit of Measure Value Set Version ID.
      Parameters:
        `strSecondAlternateUnitofMeasureValueSetVersionID` - carries the version for the value set identified by CSU.22 and it is a date.

    - #### setSecondAlternateUnitofMeasureValueSetVersionID

          public void setSecondAlternateUnitofMeasureValueSetVersionID(ST objST)

      Sets the Alternate Unit of Measure Value Set Version ID.
      Parameters:
        `objST` - carries the version for the value set identified by CSU.22 and it is a date.

    - #### getChannelSensitivity

          public NM getChannelSensitivity()

      Returns Channel Sensitivity
      Returns:
        NM - data type.

    - #### getUnitOfMeasureIdentifier

          public ST getUnitOfMeasureIdentifier()

      Returns Unit of Measure Identifier
      Returns:
        ST - data type.

    - #### getUnitOfMeasureDescription

          public ST getUnitOfMeasureDescription()

      Returns Unit of Measure Description
      Returns:
        ST - data type.

    - #### getUnitOfMeasureCodingSystem

          public ID getUnitOfMeasureCodingSystem()

      Returns Unit of Measure Coding System
      Returns:
        ID - data type.

    - #### getAlternateUnitOfMeasureIdentifier

          public ST getAlternateUnitOfMeasureIdentifier()

      Returns Alternate Unit of Measure Identifier
      Returns:
        ST - data type.

    - #### getAlternateUnitOfMeasureDescription

          public ST getAlternateUnitOfMeasureDescription()

      Returns Alternate Unit of Measure Description
      Returns:
        ST - data type.

    - #### getAlternateUnitOfMeasureCodingSystem

          public ID getAlternateUnitOfMeasureCodingSystem()

      Returns Alternate Unit of Measure Coding System
      Returns:
        ID - data type.

    - #### getUnitofMeasureCodingSystemVersionID

          public ST getUnitofMeasureCodingSystemVersionID()

      Returns Unit of Measure Coding System Version ID
      Returns:
        ST - data type.

    - #### getAlternateUnitofMeasureCodingSystemVersionID

          public ST getAlternateUnitofMeasureCodingSystemVersionID()

      Returns Alternate Unit of Measure Coding System Version ID
      Returns:
        ST - data type.

    - #### getOriginalText

          public ST getOriginalText()

      Returns Original Text.
      Returns:
        ST - data type.

    - #### getSecondAlternateUnitofMeasureIdentifier

          public ST getSecondAlternateUnitofMeasureIdentifier()

      Returns Second Alternate Unit of Measure Identifier
      Returns:
        ST - data type.

    - #### getSecondAlternateUnitofMeasureText

          public ST getSecondAlternateUnitofMeasureText()

      Returns Second Alternate Unit of Measure Text
      Returns:
        ST - data type.

    - #### getNameofSecondAlternateUnitofMeasureCodingSystem

          public ID getNameofSecondAlternateUnitofMeasureCodingSystem()

      Returns Name of Second Alternate Unit of Measure Coding System
      Returns:
        ID - data type.

    - #### getSecondAlternateUnitofMeasureCodingSystemVersionID

          public ST getSecondAlternateUnitofMeasureCodingSystemVersionID()

      Returns Second Alternate Unit of Measure Coding System Version ID
      Returns:
        ST - data type.

    - #### getUnitofMeasureCodingSystemOID

          public ST getUnitofMeasureCodingSystemOID()

      Returns Unit of Measure Coding System OID
      Returns:
        ST - data type.

    - #### getUnitofMeasureValueSetOID

          public ST getUnitofMeasureValueSetOID()

      Returns Unit of Measure Value Set OID
      Returns:
        ST - data type.

    - #### getUnitofMeasureValueSetVersionID

          public DTM getUnitofMeasureValueSetVersionID()

      Returns Unit of Measure Value Set Version ID
      Returns:
        DTM - data type.

    - #### getAlternateUnitofMeasureCodingSystemOID

          public ST getAlternateUnitofMeasureCodingSystemOID()

      Returns Alternate Unit of Measure Coding System OID
      Returns:
        ST - data type.

    - #### getAlternateUnitofMeasureValueSetOID

          public ST getAlternateUnitofMeasureValueSetOID()

      Returns Alternate Unit of Measure Value Set OID
      Returns:
        ST - data type.

    - #### getAlternateUnitofMeasureValueSetVersionID

          public DTM getAlternateUnitofMeasureValueSetVersionID()

      Returns Alternate Unit of Measure Value Set Version ID
      Returns:
        DTM - data type.

    - #### getSecondAlternateUnitofMeasureCodingSystemOID

          public ST getSecondAlternateUnitofMeasureCodingSystemOID()

      Returns Second Alternate Unit of Measure Coding System OID
      Returns:
        ST - data type.

    - #### getSecondAlternateUnitofMeasureValueSetOID

          public ST getSecondAlternateUnitofMeasureValueSetOID()

      Returns Second Alternate Unit of Measure Value Set OID
      Returns:
        ST - data type.

    - #### getSecondAlternateUnitofMeasureValueSetVersionID

          public ST getSecondAlternateUnitofMeasureValueSetVersionID()

      Returns Second Alternate Unit of Measure Value Set Version ID
      Returns:
        ST - data type.

    - #### validate

          public boolean validate()
                           throws InvalidDataTypeException

      The Method validates the Input value,and if validated properly then returns true. Here the validation is based on the compulsory fields for the Datatype.
      Specified by:
        `validate` in interface `IDataType`
      Overrides:
        `validate` in class `CompositeDataType`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidDataTypeException` - - if Invalid values is entered or Mandatory field is missing.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.